# NodeIterator : Object
Return to: HTML DOM Level 2 index

Iterates through a set of Document nodes.

## Platform Support

IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | ---
no | 1.0+ | 7.0+ | no | no

## Constructors

Constructor | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
NodeIterator Constructor() : NodeIterator Iterates through a set of Document nodes. | Show Details | no | 1.0+ | 7.0+ | no | no

### NodeIterator() : NodeIterator

Iterates through a set of Document nodes.

Returns

NodeIterator |

Visibility
  internal

## Properties

Property | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
expandEntityReferences : Boolean If true, indicates that the NodeIterator traverses the children of EntityReference nodes. | Show Details | no | 1.0+ | 7.0+ | no | no

Availability

  HTML DOM Level 2|W3C

filter : NodeFilter Node filter function associated with the NodeIterator. | Show Details | no | 1.0+ | 7.0+ | no | no

Availability

  HTML DOM Level 2|W3C

root : Node Root node for the NodeIterator to start iterating with. | Show Details | no | 1.0+ | 7.0+ | no | no

Availability

  HTML DOM Level 2|W3C

whatToShow : Number Set of flags specifying which nodes to include in the node filter. | Show Details | no | 1.0+ | 7.0+ | no | no

Availability

  HTML DOM Level 2|W3C

## Functions

Method | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
detach() : void Detaches the NodeIterator from the document. | Show Details | no | 1.0+ | 7.0+ | no | no

Returns

void |

Availability

  HTML DOM Level 2|W3C

static nextNode() : Node Returns the next node in the filtered set of nodes. | Show Details | no | 1.0+ | 7.0+ | no | no

Returns

Node |

Availability

  HTML DOM Level 2|W3C

static previousNode() : Node Returns the previous node in the filtered set of nodes. | Show Details | no | 1.0+ | 7.0+ | no | no

Returns

Node |

Availability

  HTML DOM Level 2|W3C

## References

NodeFilter|TreeWalker

## Availability

W3C|HTML DOM Level 2

text_javascript aptana_docs